Subject: Re: disconnect connection

From: David Charlap <[email-masked]>
Date: Wed, 09 May 2001 13:30:01 -0400

Hong Liao wrote:
> 
> Hope I understand correctly.
> 
> 1.  If Ingress sends out Path, and Egress sends back Resv, the LSP
> is established.  If Ingress wants to tear down the connection,
> Ingress sends out PathTear to tear down connection.

Yes.

> 2.  If Egress sends out Path message, but no Resv back from Egress
> router, the Egress should send out PathTear to clear the path state.

This makes absolutely no sense whatsoever.  The egress node can't send
out a Path message.  Where do you think it is going to send this message
to?

> 3.  If Egress or LSR find there is failure, they will send out
> ResvErr, and Ingress send out PathTear to tear down the connection
> (basically clear the path and resv state).

Yes.  Failures are reported with error messages.  Teardowns should be
initiated by the ingress.  The only exception being when it is known
that the ingress's tear message can't get through, and that it will be
torn anyway.  (eg. the node just downstream of a link failure.)

> Anyway Ingress is the one which will tear down the connection if
> there is one.  If the connection has not set up yet, for example,
> there is no Resv back after Path message was sent out, Ingress
> still need to send out PathTear to clear the Path state.

Yes.

-- David

---

From: "Hong Liao" <[email-masked]>
Date: Wed, 9 May 2001 15:03:47 -0400

David,

Sorry to confuse you.

For the second question, I mean the Ingress will send out the PathTear
message out.

Julia

David Charlap <[email-masked]> on 05/09/2001 01:30:01 PM

To:   [email-masked]
cc:    (bcc: Hong Liao/Telcordia)
Subject:  Re: disconnect connection

Yes.

Yes.

-- David